<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль documents.
 * 
 * Файл: /admin/documents/documents.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Подключаем основные классы.
require_once('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('Documents');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра.
$kernel->LoadModules(!isset($_REQUEST['JsHttpRequest']));

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_documents']['documents_title']);
}

$admin_forms = & singleton('admin_forms');
$documents = new documents();

// Добавление/обновление документа.
if (isset($_REQUEST['add_document']) || isset($_REQUEST['save_document']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/documents/action/add_documents.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлени (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_document']))
	{
		// Отображаем форму
		include(CMS_FOLDER . '/admin/documents/action/load_documents.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(9, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/обновление версии документа.
if (isset($_REQUEST['add_document_version']) || isset($_REQUEST['save_document_version']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/documents/action/add_document_version.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_document_version']))
	{
		// Отображаем форму
		include(CMS_FOLDER . '/admin/documents/action/load_versions.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(115, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/обновление группы документов.
if (isset($_REQUEST['add_documents_dir']) || isset($_REQUEST['save_documents_dir']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . '/admin/documents/action/add_documents_dir.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_documents_dir']))
	{
		// Отображаем форму
		include(CMS_FOLDER . '/admin/documents/action/load_documents.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(9, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/обновление статуса документов.
if (isset($_REQUEST['add_documents_status']) || isset($_REQUEST['save_documents_status']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . '/admin/documents/action/add_documents_status.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_documents_status']))
	{
		// Отображаем форму
		include(CMS_FOLDER . '/admin/documents/action/load_documents_status.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(124, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Отображение форм
switch (to_int($_REQUEST['admin_forms_id']))
{
	case 9:
	default:
		{
			include(CMS_FOLDER . '/admin/documents/action/load_documents.php');
			$admin_forms->ProcessAjax(9);
			break;
		}
	case 115:
		{
			include(CMS_FOLDER . '/admin/documents/action/load_versions.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 124:
		{
			include(CMS_FOLDER.'/admin/documents/action/load_documents_status.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
}

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}
?>